View Issue Details

IDProjectCategoryView StatusLast Update
0006070Multi Theft Auto : San AndreasServerpublic2011-05-31 19:42
ReporterRhbkAssigned Toccw 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version1.1Fixed in Version1.1 
Summary0006070: Allow to start resources from another cataloge than 'resources'/.
Description

Hi, It would be nice if will be possible to start resources from others cataloges for example "/resources/BaseMode:bases" ( cataloge for all BaseMode bases - maps) or /resources/races/" ( cataloge for all race gm maps).

This feature can reduce clutter in main resources cataloge, if gamemode have 50+ maps is very helpfull, can paste all maps to one cataloge.

TagsNo tags attached.

Activities

PhatLooser

2011-05-04 21:42

reporter   ~~0013312

That would be possible if we would replace the "resources" folder with "resources\general\" and enable it to add any resources in "resources*\".
This way working together would be easier.

MX_Master

2011-05-04 22:23

viewer   ~~0013313

with new fileRename function you can move .map files (from map resources) to wherever you want and so load these .map files by your script. But this method requires own map list system

Better way it's allow editor to create .map files directly in custom resources folders.

And i also think general folder for resources is not place for maps.

lil_Toady

2011-05-04 22:23

administrator   ~~0013314

we specify resource folder in the server config, i guess we can make it possible to specify a few resource folders

PhatLooser

2011-05-04 22:25

reporter   ~~0013315

Resources are a genalization of maps and scripts, so in fact it IS the place for maps.

Also, there is scripts and scripts.
Admin, anticheat etc. is one sort of scripts, the gamemode is the other.
Keeping them apart would bring a lot of order into the resources.

MX_Master

2011-05-04 22:47

viewer   ~~0013317

Last edited: 2011-05-04 22:51

Many maps (many resources) mean slower resources scan. These maps actually containing just 2 files but all info can be stored only in one .map file. And these files can be placed directly into some resource sub-folder.

And another thing - server can't scan resource's folder and sub-folders. If server will be able to do this so we can make own maps listing (for example - in the admin's resources/maps tab). So some resource can load these .map files directly from another resource sub-folder. I think it's possible to allow server/client to scan resources sub-folders.

PhatLooser

2011-05-05 00:14

reporter   ~~0013318

Last edited: 2011-05-05 00:14

using /<resourcename>/<subresource>/ would disturb the current structure too much in my eyes.
In fact its even contraproductive if you have a folder "maps" inside of your resource, and have scripts running inside.
What I want to say that its not only harder to program, its confusing.

/<resources>/<resourcetype>/ is also a solution, if the folder /<resources>/ doesn't contain resources itself.
After all, the name of each resourcetype is defined by the user.

lil_Toady fixed it the MTA way whatsoever.

lil_Toady

2011-05-05 00:21

administrator   ~~0013319

Storing .map files some different way is not an option, map resources can have their own scripts they want to execute, and some maps may be compatible with a few resources. We should not break this design.

Rhbk

2011-05-05 01:20

viewer   ~~0013320

Maybe do like this:
When server cant find meta.xml in folder just looking further 'resources' in this folder.

?

MX_Master

2011-05-05 06:33

viewer   ~~0013321

Last edited: 2011-05-05 06:37

@ ... When server cant find meta.xml in folder just looking further 'resources' in this folder.

@ ... /<resources>/<resourcetype>/ is also a solution ...

agree, these solutions can fix the problem

MX_Master

2011-05-05 16:38

viewer   ~~0013329

my idea:
i tnink server must go through all found sub-folders of resources
and must search for meta.xml files. If folder contains meta.xml,
server remembers it's path and marks folder as resource.

Picard

2011-05-31 18:06

updater   ~~0013539

Issue automatically marked as fixed by mantisbot ( Fixed in http://code.google.com/p/mtasa-blue/source/detail?r=2716 )

Issue History

Date Modified Username Field Change